Bug 113720 - Missing 'libtool' in /etc/httpd/build
Summary: Missing 'libtool' in /etc/httpd/build
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-16 19:52 UTC by Casper Pedersen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 2.0.49-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-23 09:27:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Casper Pedersen 2004-01-16 19:52:25 UTC
Description of problem:
Trying to compile mod_jk2, which complains that
/etc/httpd/build/libtool do not exist.

Version-Release number of selected component (if applicable):
httpd-devel-2.0.48-1.2
httpd-2.0.48-1.2
apr-devel-0.9.4-2
apr-0.9.4-2
apr-util-0.9.4-2
apr-util-devel-0.9.4-2


How reproducible: easy

Steps to Reproduce:
in <mod_jk_src>/jk/native2
1. sh buildconf.sh
2. ./configure --with-axps2=/usr/sbin/apxs --with-java-home=${JAVA_HOME}
3. make
  
Actual results:
list=' server/apache2'; \
for i in $list; do \
        echo "Making $target in $i"; \
        if test "$i" != "."; then \
        (cd $i && make) || exit 1; \
fi; \
done;
Making  in server/apache2
make[1]: Entering directory
`/x/jakarta-tomcat-connectors-jk2-2.0.2-src/jk/native2/server/apache2'
mkdir -p ../../../build/jk2/apache2
/etc/httpd/build/libtool  --mode=compile gcc  -O2 -g -pipe -march=i386
-mcpu=i686 -DSSL_EXPERIMENTAL_ENGINE -I/usr/kerberos/include -pthread
   -DLINUX=2 -D_REENTRANT -D_XOPEN_SOURCE=500 -D_BSD_SOURCE
-D_SVID_SOURCE -D_GNU_SOURCE   -I../../include -I/usr/include/httpd 
-I /opt/java/include -I /opt/java/include/linux  -DCHUNK_SIZE=4096
-DUSE_APACHE_MD5 -DHAS_APR   -c ../../common/jk_channel_apr_socket.c
-o ../../../build/jk2/apache2/jk_channel_apr_socket.lo
make[1]: /etc/httpd/build/libtool: Command not found
make[1]: *** [../../../build/jk2/apache2/jk_channel_apr_socket.lo]
Error 127
make[1]: Leaving directory
`/x/jakarta-tomcat-connectors-jk2-2.0.2-src/jk/native2/server/apache2'
make: *** [jk2-build] Error 1


Expected results:


Additional info:

Comment 1 Joe Orton 2004-01-16 21:38:04 UTC
Why should it exist there?  The location of libtool used for the httpd
build is given by:

apxs -q LIBTOOL

which reports the correct:

/bin/sh /usr/lib/apr/build/libtool --silent

Can you report a bug against jk2 upstream for this?  I'll add a
symlink to workaround the issue.


Comment 2 Casper Pedersen 2004-01-16 21:46:43 UTC
Well I don't think it should be there either - it just like this is
the only way it will work.

I will report a bug against jk2.

Thanks.

Comment 3 Casper Pedersen 2004-01-16 21:56:50 UTC
Reported as #26206 against Jakarta Connector (Tomcat4)
(http://issues.apache.org/bugzilla/show_bug.cgi?id=26206)

Comment 4 Joe Orton 2004-01-16 22:00:20 UTC
Thanks Casper.

Comment 5 Joe Orton 2004-01-24 12:17:48 UTC
This is fixed in 2.0.48-6 in Raw Hide; leaving open for inclusion in
future FC1 updates.

Comment 6 Casper Pedersen 2004-02-26 13:06:38 UTC
As mentioned below, this is fixed in mod_jk 2.0.4.

------ Additional Comments From Kurt Miller 2004-02-23 16:50 -------

This has been fixed by hgomez@ in version 2.0.4 (soon to be released).

Comment 7 Joe Orton 2004-06-23 09:27:21 UTC
The libtool symlink was added a while back in the 2.0.49 update.


Note You need to log in before you can comment on or make changes to this bug.